package grammars;

/**
 * Trida reprezentujici neterminalni symbol
 *
 * @author Martin Kot
 * @version 1.0
 */
public class Nonterminal extends Symbol{
  /**
   * Konstruktor tvorici bezejmenny neterminal
   */
  public Nonterminal(){
    super();
  }
  
  /**
   * Konstruktor tvorici neterminal s pozadovanym jmenem
   * 
   * @param name Jmeno neterminalu
   */
  public Nonterminal(String name){
    super(name);
  }
  
  /**
   * Konstruktor tvorici neterminal s pozadovanym jmenem. Jmeno tvori pouze 
   * jeden znak
   * 
   * @param c Jmeno neterminalu
   */
  public Nonterminal(char c){
    char pole[]=new char[1];
    pole[0]=c;
    symbol=new String(pole);
  }

  /**
   * Predefinovana metoda tridy Symbol slouzici ke zjisteni, jestli je Symbol 
   * neterminal
   * 
   * @return Vzdy vraci true
   */
  public boolean isNonterminal(){
    return true;
  }

  /**
   * Predefinovana metoda tridy Symbol slouzici ke zjisteni, jestli je Symbol 
   * terminal
   * 
   * @return Vzdy vraci false
   */
  public boolean isTerminal(){
    return false;
  }
}
